%define libmajor 0
%define api_version 1
%define libname %mklibname polkit-gtk %api_version %{libmajor}
%define libname_devel %mklibname -d polkit-gtk %api_version
%define subrel 2

Summary: PolicyKit integration for the GNOME desktop
Name: polkit-gnome
Version: 0.94
Release: %mkrel 2
License: LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/PolicyKit
Group: System/Libraries
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel
BuildRequires: polkit-1-devel >= 0.94
BuildRequires: intltool
BuildRequires: gtk-doc
Provides: polkit-agent

%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%package -n %{libname}
Summary: Development files for polkit-gnome
Group: System/Libraries

%description -n %{libname}
Development files for polkit-gnome.

%package -n %{libname_devel}
Summary: Development files for polkit-gnome
Group: Development/C
Requires: %name = %{version}
Requires: %libname = %{version}
Suggests: %name-docs = %{version}
Provides: %name-devel = %{version}-%{release}
Provides: libpolkit-gtk-1-devel = %{version}-%{release}
Provides: libpolkit-gtk-devel = %{version}-%{release}

%description -n %{libname_devel}
Development files for polkit-gnome.

%package docs
Summary: Development documentation for polkit-gnome
Group: Development/C

%description docs
Development documentation for polkit-gnome.

%prep
%setup -q
sed -i -e "/OnlyShowIn=/d" src/polkit-gnome-authentication-agent-1.desktop.in.in 

%build
%configure2_5x --enable-gtk-doc --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang polkit-gnome-1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f polkit-gnome-1.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%config(noreplace) %_sysconfdir/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
%{_libexecdir}/polkit-gnome-authentication-agent-1

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{libmajor}*

%files -n %{libname_devel}
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*



%changelog
* Tue Jan 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0.94-2.2mdv2010.0
- built for updates

* Sat Nov 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.94-2.1mdv2010.0
+ Revision: 468052
- Start polkit-gnome in all desktops instead of only in GNOME,
  because other desktops don't have their own native polkit-agent yet
  (fixes bug #55801: hplip-plugin does not ask for root authentication
  when run in another desktop than GNOME)

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-2mdv2010.0
+ Revision: 417612
- Provides polkit-agent virtual package

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-1mdv2010.0
+ Revision: 415994
- Release 0.94
- create lib/devel/doc subpackages

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-1mdv2010.0
+ Revision: 399380
- new version
- update file list
- bump polkit dep

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
+ Revision: 395928
- import polkit-gnome


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
- adapt for Mandriva

* Tue Jun  9 2009 Matthias Clasen <mclasen@redhat.com> - 0.9.2-3
- Fix BuildRequires

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Change license to LGPLv2+
- Remove Requires: gnome-session

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
